Subject: Trouble installing B18 on W95 -- GCC won't run
From: [email-masked] (D. Richard Hipp)

16 Nov 1997 12:45:53 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

I downloaded cdk.exe and executed it.  I choose the default
(c:\gnuwin32) installation directory and everything appeared
to work.  I then modified my environment as described in the
FAQ.  The OS is Windows95.

Most things work great, but I can't get the compiler GCC to run!
It says:

> gcc: installation problem, cannot exec `cpp': No such file or directory

If I type "gcc -v hello.c" I get this:

> Using builtin specs.
> gcc version cygnus-2.7.2-970404
>  cpp -lang-c -v -undef -D__GNUC__=2 -D__GNUC_MINOR__=7 -Di386 -D_WIN32 -DPOSIX -
> D__CYGWIN32__ -DWINNT -D_X86_=1 -D__STDC__=1 -D__stdcall=__attribute__((__stdcal
> l__)) -D__cdecl=__attribute__((__cdecl__)) -D__i386__ -D_WIN32 -D__POSIX__ -D__C
> YGWIN32__ -D__WINNT__ -D_X86_=1 -D__STDC__=1 -D__stdcall=__attribute__((__stdcal
> l__)) -D__cdecl=__attribute__((__cdecl__)) -D__i386 -D__POSIX -D__WINNT -Asystem
> (winnt) -Acpu(i386) -Amachine(i386) -Di386 -Asystem(unix) -Acpu(i386) -Amachine(
> i386) -D__i386__ -Asystem(unix) -Acpu(i386) -Amachine(i386) hello.c C:\WINDOWS\T
> EMP\cc001001.i
> gcc: installation problem, cannot exec `cpp': No such file or directory

This is my environment (as output using the "env" command):

> TMP=C:\WINDOWS\TEMP
> TEMP=C:\WINDOWS\TEMP
> PROMPT=$p$g
> WINBOOTDIR=C:\WINDOWS
> COMSPEC=C:\WINDOWS\COMMAND.COM
> HOSTNAME=sarah.hwaci.vnet.net
> WINDIR=C:\WINDOWS
> PATH=/GNUWIN32/B18/H/BIN:/GNUWIN32/B18/TCL/BIN:/WINDOWS:/WINDOWS/COMMAND
> HOME=c:
> GCC_EXEC_PATH=c:\gnuwin32\b18\H\lib\gcc-lib\
> TCL_LIBRARY=c:/gnuwin32/b18/tcl/lib/tcl7.6
> GDBTK_LIBRARY=c:/gnuwin32/b18/share/gdbtcl
> CMDLINE=env 

Actually, the directory /gnuwin32/b18/H was originally named
/gnuwin32/b18/H-i386-cygwin32.  That didn't work so I shortened
the "H-i386-cygwin32" to just "H" thinking that might help.
But it didn't.  All the other commands ("ls" and friends) still 
work fine.

I've also tried uninstalling and reinstalling everything.  That didn't
help.

If I add the directory

      /gnuwin32/b18/H/lib/gcc-lib/i386-cygwin32/cygnus-2.7.2-970404

to my path, then "cpp" will run, but I get another error about not being
able to find the include files.  (I'm just trying to compiler "Hello
World". 
The only include file it needs is <stdio.h>.)

Am I likely to have better success if I cross-compile from Linux?
I'd love to try that approach.  Is there a FAQ or HOW-TO on how
to do it?

Any help in resolving this issue will be greatly appreciated.  Please
respond directly to me at [email-masked].  Tnx.

-- 
D. Richard Hipp -- [email-masked] -- http://users.vnet.net/drh
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".